### Virtual Method

# Gio AppInfo launch_uris_async

since: 2.60

#### Declaration

    void
    launch_uris_async (
      GAppInfo* appinfo,
      GList* uris,
      GAppLaunchContext* context,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Async version of g_app_info_launch_uris().

The `callback` is invoked immediately after the application launch, but it waits for activation in case of D-Bus–activated applications and also provides extended error information for sandboxed applications, see notes for g_app_info_launch_default_for_uri_async().

Available since: 2.60

#### Parameters

`uris`

  Type: A list of `utf8`

  A `GList` containing URIs to launch.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`context`

  Type: `GAppLaunchContext`

  A `GAppLaunchContext` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is done.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.